<!DOCTYPE html>
<html lang="fr">
{% block title %} {{solo_leagueofstat.nom}} {% endblock title %}

{% extends "layout/root.html" %}

{% block content %}

<body>
    <div class="container">
        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#myModal">
               Mettre à jour le Champion
        </button>
        <div class="button_container" style="display: flex; justify-content: center;">
            <form action="{{ url_for('delete_champion', id=solo_leagueofstat._id) }}" method="post" role="form">
                    <button class="btn btn-danger" type="submit" id="delete-btn">Supprimer le champion</button>
            </form>
        </div>
        <div class="button_container" style="display: flex; justify-content: center;">
            <form action="{{ url_for('add_skin_champion', id=solo_leagueofstat._id) }}" method="post" role="form">
                    <label class="form-text">Nom du Skin :</label>
                    <input class="form-control" name="skin[]" type="text" placeholder="" aria-label="skin[]" aria-describedby="add-btn"/>
                    <button class="btn btn-primary" type="submit" id="delete-btn" style="margin-bottom: 50px">Ajout d'un skin </button>
            </form>
        </div>
        <div class="img">
            <img class="image" src="{{ solo_leagueofstat.image_back }}" width="100%" height="100%">
        </div>
        <div class="name marg">
            <p class="detail">{{ solo_leagueofstat.surnom }}</p>
            <p class="detail big">{{ solo_leagueofstat.nom }}</p>
        </div>
        <div class="container_trait">
            <span class="trait"></span>
        </div>
        <div class="desc marg">
            <h1 class="title">Histoire</h1>
            <p class="text">{{ solo_leagueofstat.description }}</p>
        </div>
        <div class="container_trait">
            <span class="trait"></span>
        </div>
        <div class="post_style marg">
            <p class="style"> 
                {{ solo_leagueofstat.classe }}
            </p>
            <p class="poste">
                {{ solo_leagueofstat.poste }}
            </p>
        </div>
        <div class="container_trait">
            <span class="trait"></span>
        </div>
        <div class="competence marg">
            <h1 class="title">Compétences</h1>
            <div class="container_trait">
                <span class="trait_small"></span>
            </div>
            <div class="competence_detail">
                <p class="title lit">Passif : {{ solo_leagueofstat.competences[0] }}</p>
            </div>
            <div class="competence_detail">
                <p class="title lit">A : {{ solo_leagueofstat.competences[1] }} </p>
            </div>
            <div class="competence_detail">
                <p class="title lit">Z : {{ solo_leagueofstat.competences[2] }}</p>
            </div>
            <div class="competence_detail">
                <p class="title lit">E : {{ solo_leagueofstat.competences[3] }}</p>
            </div>
            <div class="competence_detail">
                <p class="title lit">R : {{ solo_leagueofstat.competences[4] }}</p>
            </div>
        </div>
        <div class="container_trait">
            <span class="trait"></span>
        </div>
        <div class="skin marg">
            <h1 class="title">Skin</h1>
            <div class="container_trait">
                <span class="trait_small"></span>
            </div>
            <div class="skin_detail">
                {% for skin in solo_leagueofstat.skin %}
                    <p class="title lit">{{ skin }}</p>
                    <div class="container_trait">
                        <span class="trait_small"></span>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>




    <!-- The Modal -->
    <div class="modal" id="myModal">
      <div class="modal-dialog">
        <div class="modal-content">

          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">Mettre à jour le Champion</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>

          <!-- Modal body -->
          <div class="modal-body">
            <form action="{{ url_for('update_champion', id=solo_leagueofstat._id) }}" method="POST" role="form" style="padding-top: 100px">
              <div class="form-group">
                  <label class="form-text">Nom du Champion :</label>
                  <input class="form-control" name="nom" type="text" value="{{ solo_leagueofstat.nom }}" aria-label="nom" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Surnom du Champion :</label>
                  <input class="form-control" name="surnom" type="text" value="{{ solo_leagueofstat.surnom }}" aria-label="surnom" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Classe du Champion :</label>
                  <input class="form-control" name="classe" type="text" value="{{ solo_leagueofstat.classe }}" aria-label="classe" aria-describedby="add-btn"/>  </div>
              <div class="form-group">
                  <label class="form-text">Poste du Champion :</label>
                  <input class="form-control" name="poste" type="text" value="{{ solo_leagueofstat.poste }}" aria-label="classe" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Histoire du Champion :</label>
                  <textarea class="form-control" name="description" type="text" aria-label="Todo" aria-describedby="add-btn">{{ solo_leagueofstat.description }}</textarea>
              </div>
              <div class="form-group">
                  <label class="form-text">Compétences Passif :</label>
                  <input class="form-control" name="competences[]" type="text" value="{{ solo_leagueofstat.competences[0] }}" aria-label="competences[]" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Compétences A :</label>
                  <input class="form-control" name="competences[]" type="text" value="{{ solo_leagueofstat.competences[1] }}" aria-label="competences[]" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Compétences Z :</label>
                  <input class="form-control" name="competences[]" type="text" value="{{ solo_leagueofstat.competences[2] }}" aria-label="competences[]" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Compétences E :</label>
                  <input class="form-control" name="competences[]" type="text" value="{{ solo_leagueofstat.competences[3] }}" aria-label="competences[]" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Compétences R :</label>
                  <input class="form-control" name="competences[]" type="text" value="{{ solo_leagueofstat.competences[4] }}" aria-label="competences[]" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  {% for skinChampion in solo_leagueofstat.skin %}
                    <label class="form-text">Nom du Skin :</label>
                    <input class="form-control" name="skin[]" type="text" value="{{ skinChampion }}" aria-label="skin[]" aria-describedby="add-btn"/>
                  {% endfor %}
              </div>
              <div class="form-group">
                  <label class="form-text">Prix en Essences Bleus :</label>
                  <input class="form-control" name="eb" type="number" value="{{ solo_leagueofstat.eb }}" aria-label="prixEB" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Prix en Riot Point :</label>
                  <input class="form-control" name="rp" type="number" value="{{ solo_leagueofstat.rp }}" aria-label="prixRP" aria-describedby="add-btn"/>
              </div>
              <div class="form-group">
                  <label class="form-text">Image Page d'Accueil :</label>
                  <input class="form-control" name="image_card" type="text" aria-label="image_card" aria-describedby="add-btn" value="{{ solo_leagueofstat.image_card }}" />
              </div>
              <div class="form-group">
                  <label class="form-text">Image Page Détails :</label>
                  <input class="form-control" name="image_back" type="text" aria-label="image_back" aria-describedby="add-btn" value="{{ solo_leagueofstat.image_back }}" />
              </div>
                 <button class="btn btn-primary" type="submit" id="add-btn">Mettre à jour le Champion</button>
             </form>
          </div>

          <!-- Modal footer -->
          <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div>


</body>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
{% endblock content %}
</html>